## Installation Instructions:

### Requirements & Prerequisites

- PHP 8.0 or above
- MySQL Database, SQLite should work
- Composer installed globally
- 

### Run the application 

- Step 1: Clone Repo to local computer/server to a directory of your choosing and enter that directory in terminal
- Step 2: Run `composer install` to install composer dependencies
- Step 3: Run `php artisan migrate` to publish database tables

### Production Environment
- Step 4: Run `vite build` in the root directory of the project
- Step 5: Serve site using `nginx` config or `php artisan serve`

### Developer / Local Environment
- Step 4: Edit the `.test` host in the `vite.config.js` file
- Step 5: Run `vite` command in terminal for root directory 
  - Note: Do not close this window.
- Step 6: Click on the `.test` URL provided by Vite in the terminal window.

You should now have a working version of the application in your browser.

If you do not, you may need to run `php artisan serve` in a different terminal window, but inside the project directory.



